@REM don't watch the sausage being made
@echo off
REM SETLOCAL EnableDelayedExpansion

REM the folder this script is in (*/bootplate/tools)
SET TOOLS=%~DP0


REM application source location (and resolve the "..")
for %%d in ("%TOOLS%\..") do SET SRC=%%~fd

REM enyo location
SET ENYO=%SRC%\enyo

REM deploy script location
SET DEPLOY=%ENYO%\tools\deploy.js

REM node location
SET NODE=node.exe

REM use node to invoke deploy.js with imported parameters
ECHO %NODE% "%DEPLOY%" -T -s "%SRC%" -o "%SRC%\deploy" %*
%NODE% "%DEPLOY%" -T -s "%SRC%" -o "%SRC%\deploy" %*


REM copy files and package if deploying to cordova webos
:again
if not "%1" == "" (
    if "%1" == "-w" (
    	(echo.)
    	echo Packaging webOS application...
    	
	REM copy appinfo.json file
	copy "%SRC%\appinfo.json" "%SRC%\deploy" > NUL

	REM collect the list of services in %SRC%\services
	SET PKG_SERVICES=
	for /f "tokens=*" %%i in ('dir "%SRC%\services" /ad /b') do (
		call:append %%i
	)
	
	REM package it up
	if not exist "%SRC%\bin" mkdir "%SRC%\bin"
	ares-package -o "%SRC%\bin" "%SRC%\deploy" %PKG_SERVICES%"%SRC%\package"
    )

    shift
    goto again
)
goto :eof

REM helper function to append service filepaths to the PKG_SERVICES variable
:append
set PKG_SERVICES=%PKG_SERVICES%"%SRC%\services\%1" 
goto :eof
