/* This kind implements the fetchNewFortune interface using 
 * a bundled webOS Service */

enyo.kind({
	name: "FortuneService",
	kind: enyo.Component,
	components: [
		{kind: "enyo.LunaService", name: "service", service:"luna://com.palmdts.txjsfortune.service",
				method: "getFortune", onResponse: "provideFortune"}
	],
	fetchNewFortune: function(callback) {
		// store the callback on the request object created by call
		var req = this.$.service.send({});
		req.callback = callback;
	},
	provideFortune: function(inSender, inResponse) {
		inResponse.originator.callback(inResponse.fortune);
	}
});

